This page was not yet optimized for use on mobile devices.
Red Hat Enterprise Linux GnuTLS Cryptographic Module
Certificate details
| Certificate ID | #2780 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 31.10.2016 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | GnuTLS is a secure communications library implementing the SSH, TLS, and DTLS protocols. It provides a simple C language application programming interface to access the secure communications protocols as well as APIs to parse and write X.509, PCKS#12, and other required structures which is shipped with Red Hat Enterprise Linux 7.1. |
| Tested configurations |
|
| Vendor | Red Hat®, Inc. http://www.redhat.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, Twofish, Serpent, CAST, RC2, RC4, DES, Triple-DES, TDEA, Salsa20, Blowfish, Camellia, HMAC, HMAC-SHA-256, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-3, MD4, MD5, RIPEMD-160, PBKDF2Schemes
MAC, Key AgreementProtocols
TLS, TLS v1.0, DTLSRandomness
PRNG, DRBG, RNGLibraries
Nettle, GnuTLSElliptic Curves
P-384, P-521, P-256, NIST P-256Block cipher modes
CBC, CTR, GCMSecurity level
Level 1Side-channel analysis
timing attacksStandards
FIPS 140-2, FIPS 197, FIPS 180-4, FIPS 198-1, FIPS 186-4, FIPS 186-2, FIPS186-4, FIPS140-2, FIPS PUB 140-2, FIPS180-4, FIPS197, FIPS198-1, SP 800-38A, SP 800-67, SP 800-90A, SP 800-56B, SP 800-132, NIST SP 800-57, PKCS#1, PKCS#7, PKCS#12, PKCS#11, RFC5246, RFC4347, RFC4357, RFC2898, RFC5764, RFC5288, RFC6520, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2780,
"dgst": "ae5ca0b50c33c0b9",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"RSA#1864",
"CVL#636",
"#745",
"SHS#2989",
"#947",
"#641",
"#945",
"#1861",
"DSA#1011",
"CVL#641",
"Triple-DES#2013",
"#746",
"ECDSA#745",
"#635",
"#1864",
"#949",
"#1862",
"AES#3618",
"DRBG#948",
"DRBG#944",
"ECDSA#749",
"#2989",
"HMAC#2323",
"ECDSA#746",
"CVL#632",
"DSA#1009",
"#1863",
"HMAC#2324",
"DSA#1012",
"#1010",
"#2014",
"#3617",
"#748",
"SHS#2990",
"Triple-DES#2016",
"#2015",
"ECDSA#748",
"CVL#637",
"SHS#2987",
"#1008",
"#946",
"#3616",
"#747",
"#637",
"RSA#1863",
"#2016",
"#3613",
"Triple-DES#2014",
"#3618",
"HMAC#2322",
"#2321",
"#2323",
"#2324",
"SHS#2988",
"DRBG#947",
"CVL#640",
"#2990",
"RSA#1862",
"#1860",
"Triple-DES#2015",
"HMAC#2321",
"DRBG#949",
"SHS#2986",
"#1011",
"#2987",
"RSA#1861",
"AES#3616",
"DSA#1010",
"#3619",
"AES#3615",
"DRBG#945",
"DSA#1008",
"#3614",
"#1009",
"#943",
"AES#3613",
"AES#3619",
"#944",
"#1012",
"#633",
"DRBG#943",
"CVL#638",
"#2322",
"RSA#1860",
"#2320",
"Triple-DES#2017",
"DRBG#946",
"AES#3614",
"CVL#635",
"CVL#633",
"#3615",
"HMAC#2320",
"AES#3617",
"CVL#639",
"#2988",
"#2013",
"#2017",
"#2986",
"#948",
"#639",
"ECDSA#747",
"#749",
"CVL#634"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 31
}
},
"FF": {
"DH": {
"Diffie-Hellman": 42
},
"DSA": {
"DSA": 44
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 9
},
"CTR": {
"CTR": 3
},
"GCM": {
"GCM": 12
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"GnuTLS": {
"GnuTLS": 42
},
"Nettle": {
"Nettle": 1
}
},
"crypto_protocol": {
"TLS": {
"DTLS": {
"DTLS": 5
},
"TLS": {
"TLS": 42,
"TLS v1.0": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1
},
"MAC": {
"MAC": 3
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"NIST P-256": 2,
"P-256": 12,
"P-384": 20,
"P-521": 24
}
},
"eval_facility": {
"atsec": {
"atsec": 2
}
},
"fips_cert_id": {
"Cert": {
"#1008": 3,
"#1009": 3,
"#1010": 3,
"#1011": 3,
"#1012": 3,
"#1860": 3,
"#1861": 3,
"#1862": 3,
"#1863": 3,
"#1864": 3,
"#2013": 1,
"#2014": 1,
"#2015": 1,
"#2016": 1,
"#2017": 1,
"#2320": 1,
"#2321": 1,
"#2322": 1,
"#2323": 1,
"#2324": 1,
"#2986": 1,
"#2987": 1,
"#2988": 1,
"#2989": 1,
"#2990": 1,
"#3613": 1,
"#3614": 1,
"#3615": 1,
"#3616": 1,
"#3617": 1,
"#3618": 1,
"#3619": 1,
"#632": 2,
"#633": 1,
"#634": 2,
"#635": 1,
"#636": 2,
"#637": 1,
"#638": 2,
"#639": 1,
"#640": 2,
"#641": 1,
"#745": 2,
"#746": 2,
"#747": 2,
"#748": 2,
"#749": 2,
"#943": 1,
"#944": 1,
"#945": 1,
"#946": 1,
"#947": 1,
"#948": 1,
"#949": 1
}
},
"fips_certlike": {
"Certlike": {
"AES 128, 192": 1,
"AES-256": 3,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 6,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"PKCS#1": 6,
"PKCS#11": 2,
"PKCS#12": 2,
"PKCS#7": 2,
"SHA-1": 8,
"SHA-1 2": 1,
"SHA-224": 10,
"SHA-256": 15,
"SHA-256 and 2048": 1,
"SHA-3": 2,
"SHA-384": 13,
"SHA-512": 11
}
},
"fips_security_level": {
"Level": {
"Level 1": 1
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 4
}
},
"PBKDF": {
"PBKDF2": 1
},
"RIPEMD": {
"RIPEMD-160": 2
},
"SHA": {
"SHA1": {
"SHA-1": 9
},
"SHA2": {
"SHA-224": 11,
"SHA-256": 16,
"SHA-384": 13,
"SHA-512": 11
},
"SHA3": {
"SHA-3": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 26,
"PRNG": 1
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {
"SCA": {
"timing attacks": 2
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 42,
"FIPS 180-4": 2,
"FIPS 186-2": 2,
"FIPS 186-4": 20,
"FIPS 197": 3,
"FIPS 198-1": 2,
"FIPS PUB 140-2": 1,
"FIPS140-2": 3,
"FIPS180-4": 1,
"FIPS186-4": 3,
"FIPS197": 1,
"FIPS198-1": 1
},
"NIST": {
"NIST SP 800-57": 1,
"SP 800-132": 1,
"SP 800-38A": 3,
"SP 800-56B": 2,
"SP 800-67": 1,
"SP 800-90A": 5
},
"PKCS": {
"PKCS#1": 3,
"PKCS#11": 1,
"PKCS#12": 1,
"PKCS#7": 1
},
"RFC": {
"RFC2898": 1,
"RFC4347": 2,
"RFC4357": 2,
"RFC5246": 3,
"RFC5288": 2,
"RFC5764": 1,
"RFC6520": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 36,
"AES-256": 3
},
"CAST": {
"CAST": 2
},
"RC": {
"RC2": 2,
"RC4": 2
},
"Serpent": {
"Serpent": 2
},
"Twofish": {
"Twofish": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 10
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"HMAC": 30,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 3,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
},
"djb": {
"Salsa": {
"Salsa20": 2
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
},
"Camellia": {
"Camellia": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"RSA#1864",
"CVL#636",
"AES#3613",
"HMAC#2324",
"AES#3619",
"SHS#2988",
"DSA#1012",
"DRBG#947",
"SHS#2989",
"CVL#632",
"CVL#640",
"DRBG#943",
"CVL#638",
"RSA#1862",
"DSA#1011",
"RSA#1860",
"CVL#641",
"Triple-DES#2013",
"Triple-DES#2017",
"DRBG#946",
"AES#3614",
"ECDSA#745",
"Triple-DES#2015",
"HMAC#2321",
"CVL#635",
"CVL#633",
"SHS#2990",
"Triple-DES#2016",
"ECDSA#748",
"CVL#637",
"DRBG#949",
"SHS#2987",
"HMAC#2320",
"SHS#2986",
"AES#3617",
"RSA#1863",
"CVL#639",
"RSA#1861",
"AES#3618",
"AES#3616",
"DRBG#948",
"DRBG#944",
"DSA#1010",
"ECDSA#749",
"AES#3615",
"HMAC#2323",
"DRBG#945",
"DSA#1008",
"ECDSA#746",
"Triple-DES#2014",
"ECDSA#747",
"HMAC#2322",
"DSA#1009",
"CVL#634"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#943",
"#1863",
"#2324",
"#1010",
"#944",
"#947",
"#745",
"#641",
"#1012",
"#2014",
"#633",
"#2990",
"#945",
"#1861",
"#2322",
"#1860",
"#3617",
"#2320",
"#748",
"#746",
"#635",
"#2015",
"#1008",
"#2321",
"#946",
"#3616",
"#3615",
"#1864",
"#949",
"#1011",
"#747",
"#637",
"#2987",
"#2988",
"#2016",
"#2013",
"#1862",
"#2017",
"#2986",
"#3619",
"#2989",
"#948",
"#3613",
"#639",
"#3614",
"#3618",
"#749",
"#2323",
"#1009"
]
},
"policy_metadata": {
"/Author": "Hedy",
"/CreationDate": "D:20161024110815-05\u002700\u0027",
"/Creator": "PScript5.dll Version 5.2.2",
"/ModDate": "D:20161024110815-05\u002700\u0027",
"/Producer": "Acrobat Distiller 11.0 (Windows)",
"/Title": "RHEL71_GnuTLS_SP",
"pdf_file_size_bytes": 404238,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 35
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "e6c5b468612ec9e25dfafd5b6e9d9640be63d987550666ed1281dfddbd29db67",
"source_hash": "00230aedb9e4da45d207ebe85cba64e31ea0cbd2fdbc0eb17665a01443558b35",
"txt_hash": "e0c50586052185134d0758d961c033930b780f87f38ca08914f70e3adea82cd2"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertOct2016.pdf",
"date_sunset": null,
"description": "GnuTLS is a secure communications library implementing the SSH, TLS, and DTLS protocols. It provides a simple C language application programming interface to access the secure communications protocols as well as APIs to parse and write X.509, PCKS#12, and other required structures which is shipped with Red Hat Enterprise Linux 7.1.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Red Hat Enterprise Linux GnuTLS Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "4.0",
"tested_conf": [
"Red Hat Enterprise Linux 7.1 running on HP ProLiant DL380p Gen8 with PAA",
"Red Hat Enterprise Linux 7.1 running on HP ProLiant DL380p Gen8 without PAA",
"Red Hat Enterprise Linux 7.1 running on IBM Power System S814 (single-user mode)",
"Red Hat Enterprise Linux 7.1 running on IBM z13"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-10-31",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Red Hat\u00ae, Inc.",
"vendor_url": "http://www.redhat.com"
}
}